/*
    Initialisation du microcontroleur
*/

/************************ INCLUDE ***************************/
#include <p18f6722.h>          /* C18 compiler processor defs */
#include <inituc.h> 		   /* initialisation defs */

/**************** DECLARATION DES SOUS PROGRAMMES *************/

/***************************************************************
Nom   : void init_uc (void)
Role  : Initialisation du microcontroleur
****************************************************************/
void init_uc (void)
{
// I/O Configuration
 TRISA = 0x2F;		// INPUTs: A0,A1,A2,A3,A4,A5 - OUPUTS: A6,A7
 TRISB = 0x0F;		// INPUTs: B0,B1,B2,B3 - OUPUTS: B4,B5,B6,B7
 TRISC = 0x00;		// OUPUTS: C0,C1,C2,C3,C4,C5,C6,C7
 TRISD = 0x00;		// OUPUTS: D0,D1,D2,D3,D4,D5,D6,D7
 TRISE = 0x03;		// INPUTs: E0,E1 - OUPUTS: E2,E3,E4,E5,E6,E7
 TRISF = 0x3F;		// INPUTs: F0,F1,F2,F3,F4,F5 - OUPUTS: ,F6,F7
 TRISG = 0x20;		// INPUTs: G5- OUPUTS: G0,G1,G2,G3,G4,G6,G7

// A/D PORT Configuration
 ADCON1 = 0x03;		// ANALOG: AN0 -> AN10 - DIGITAL: AN11 -> AN12, Vref+ et Vref -

 PORTAbits.RA4 = 1;
 PORTGbits.RG0 = 1;
 PORTGbits.RG1 = 0;
}



